import sys
import os
from os.path import basename
from pathlib import Path

import click
from flask.cli import with_appcontext
from alembic import config


@click.command(
    context_settings={"ignore_unknown_options": True, "help_option_names": []}
)
@click.argument("argv", nargs=-1)
@with_appcontext
def alembic(argv):
    """Wrap the alembic CLI tool."""
    configfile = Path(__file__).parent / "migrations" / "alembic.ini"
    os.environ.setdefault("ALEMBIC_CONFIG", str(configfile))
    prog = " ".join([basename(sys.argv[0]), sys.argv[1]])
    cli = config.CommandLine(prog=prog)
    cli.main(argv=argv)
